Bug 448317 - D820: wrong quirks leads to failed resume
D820: wrong quirks leads to failed resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 16:37 EDT by Mads Villadsen
Modified: 2013-03-05 22:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (24.12 KB, text/plain)
2008-06-08 21:22 EDT, Kevin Fenzi
no flags Details
xorg log file (21.95 KB, text/plain)
2008-06-09 11:37 EDT, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2008-05-25 16:37:28 EDT
Description of problem:
I have a Dell Latitude D820 with and intel graphics card. On resume the screen
fails to turn on.

This is because the quirks file does not contain dpms_on.

Version-Release number of selected component (if applicable):
hal-info-20080508-1.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Suspend
2. Resume
3. Screen doesn't turn on again
  
Additional info:
For my machine the only display quirk needed is dpms_on. With that as the only
quirk in the D820 line suspend/resume works for me.
Comment 1 Kevin Fenzi 2008-05-25 17:10:50 EDT
Oddly my D820 with intel graphics works just fine out of the box with Fedora 9. 

What bios version do you have? 
# dmidecode | grep "BIOS Revision" 
here shows version 08. 

# lspci | grep -i disp
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)

Comment 2 Mads Villadsen 2008-05-25 17:25:17 EDT
[root@ice ~]# dmidecode | grep "BIOS Revision"
        BIOS Revision: 0.7
[root@ice ~]# lspci | grep -i disp
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)

So my BIOS is older than yours. I guess I will have a go at updating it then.
Comment 3 Mads Villadsen 2008-05-25 17:49:25 EDT
I upgraded my BIOS to version 0.8 and the suspend/resume problem is still there
with the standard quirks file - and the solution I mentioned also still works.

Very strange.
Comment 4 Kevin Fenzi 2008-05-25 18:49:05 EDT
Yeah, quite strange. Can't think of much else that could be causing the
difference. :(
Comment 5 Richard Hughes 2008-05-30 07:54:09 EDT
Does this fix still need applying using F9? if so, please email the hal
development mailing list and we'll review your quirk there. Thanks.
Comment 6 Kevin Fenzi 2008-05-30 15:16:00 EDT
Well, the odd thing is that it seems Mads and I have the same laptop, but it
works for me, but not for him. 

What version of hal-info do you have? 

hal-info-20080508-1.fc9.noarch 

here. 
Comment 7 Mads Villadsen 2008-06-03 14:13:51 EDT
I also have hal-info-20080508-1.fc9.noarch. So it would seems that everything
about our machines are identical.

My machine is running with a screen resolution of 1920x1200 - not that it should
matter but there has to be a difference somewhere between our two machines to
make them not behave identical. My wireless card is an ipw3945 if that makes a
difference.

Can you try using the line

<merge key="power_management.quirk.dpms_on" type="bool">true</merge>

instead of

<merge key="power_management.quirk.vbestate_restore" type="bool">true</merge>

in the D820 section of
/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-dell.fdi to see
if it works for you?
Comment 8 Kevin Fenzi 2008-06-08 20:48:19 EDT
sorry for the delay. 

I tried using the line in comment #7. 
It results in a resume where the screen is bright white and unusable. 
You can get the screen back by switching to a vty and back, but thats hardly
something most people would know to try. :(

I'm at a loss to explain why our two laptops would be so different here. 
I have the same screen and wireless. 
I'm going to attach my /var/log/Xorg.0.log, perhaps you can check it against yours?
Comment 9 Kevin Fenzi 2008-06-08 21:22:27 EDT
Created attachment 308666 [details]
Xorg.0.log

My Xorg.0.log file.
Comment 10 Mads Villadsen 2008-06-09 11:36:35 EDT
I will attach my xorg log file as well.

The differences I can see are related to your machine being 64-bit and mine 32-bit.

Also there is a difference with the EDID vendor (not sure what that means):

< (II) intel(0): EDID vendor "SEC", prod id 12885
---
> (II) intel(0): EDID vendor "SHP", prod id 5053

And there is a difference with the amount of memory:

< (II) intel(0): Kernel reported 488960 total, 1 used
< (II) intel(0): I830CheckAvailableMemory: 1955836 kB available
---
> (II) intel(0): Kernel reported 810752 total, 1 used
> (II) intel(0): I830CheckAvailableMemory: 3243004 kB available


Comment 11 Mads Villadsen 2008-06-09 11:37:03 EDT
Created attachment 308694 [details]
xorg log file
Comment 12 Kevin Fenzi 2008-06-09 12:17:43 EDT
Wacky. I just talked to someone on IRC that has a D820, with the same EDID
vendor as you, and it works fine for them. ;( 

Can you try it with no quirks at all set? 

Comment 13 Mads Villadsen 2008-06-11 13:55:45 EDT
Running with no quirks at all (using either pm-suspend or pm-suspend
--quirk-none) works fine for me.
Comment 14 Kevin Fenzi 2008-06-13 14:23:55 EDT
Sadly, running with --quirk-none here gets me the bright white screen on resume. ;( 

Can anyone suggest any further way to tell the two types apart?

Comment 15 Kevin Fenzi 2008-06-22 13:17:09 EDT
I am going to add Ajax (X maintainer) and the dell linux folks here... 
Comment 16 Bug Zapper 2009-06-09 21:10:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-14 11:11:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.